<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__clk__timer__enums" kind="group">
    <compoundname>group_sysclk_clk_timer_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__sysclk__clk__timer__enums_1ga86912bed27349c7e5c53315a84cd040d" kind="enum" prot="public" static="no">
        <name>cy_en_clktimer_in_sources_t</name>
        <enumvalue id="group__group__sysclk__clk__timer__enums_1gga86912bed27349c7e5c53315a84cd040da18b91952dc6041dbf0d861456f295400" prot="public">
          <name>CY_SYSCLK_CLKTIMER_IN_IMO</name>
          <initializer>= 0x000U</initializer>
          <briefdescription>
<para>clk_timer is sourced by the internal main oscillator (IMO) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__timer__enums_1gga86912bed27349c7e5c53315a84cd040daae7d2108717f298c79173c9e22a9efa3" prot="public">
          <name>CY_SYSCLK_CLKTIMER_IN_HF0_NODIV</name>
          <initializer>= 0x001U</initializer>
          <briefdescription>
<para>clk_timer is sourced by clkHf[0] undivided </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__timer__enums_1gga86912bed27349c7e5c53315a84cd040da53409e40e5af6949dafe0230d9912550" prot="public">
          <name>CY_SYSCLK_CLKTIMER_IN_HF0_DIV2</name>
          <initializer>= 0x101U</initializer>
          <briefdescription>
<para>clk_timer is sourced by clkHf[0] divided by 2 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__timer__enums_1gga86912bed27349c7e5c53315a84cd040da299d06724a9536592e2da244afffade2" prot="public">
          <name>CY_SYSCLK_CLKTIMER_IN_HF0_DIV4</name>
          <initializer>= 0x201U</initializer>
          <briefdescription>
<para>clk_timer is sourced by clkHf[0] divided by 4 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__timer__enums_1gga86912bed27349c7e5c53315a84cd040da1624370101fb5836357e8ed40fbc62f0" prot="public">
          <name>CY_SYSCLK_CLKTIMER_IN_HF0_DIV8</name>
          <initializer>= 0x301U</initializer>
          <briefdescription>
<para>clk_timer is sourced by clkHf[0] divided by 8 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_clktimer_in_sources_t: </bold><linebreak />Timer clock (clk_timer) input sources.</para></briefdescription>
        <detaileddescription>
<para>See CLK_TIMER_CTL register, TIMER_SEL and TIMER_HF0_DIV bits. Used with functions <ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga57d72bc029cd9d5b7d85b7fb79c721a3">Cy_SysClk_ClkTimerSetSource</ref>, and <ref kindref="member" refid="group__group__sysclk__clk__timer__funcs_1ga7a828c7cf527aa7d693b2e4ca866be1c">Cy_SysClk_ClkTimerGetSource</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3207" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="3200" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="3201" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>